package laboratoire4;

import laboratoire4.pawns.PawnMovement;

public class Action<T extends IPawn> {
    private final T pawn;
    private final PawnMovement movement;

    public Action(T pawn, PawnMovement movement) {
        this.pawn = pawn;
        this.movement = movement;
    }

    public T getPawn() {
        return pawn;
    }

    public PawnMovement getMovement() {
        return movement;
    }
}
