package laboratoire4.strategies;

import laboratoire4.pawns.PawnMovement;

public class EvaluationResult {
    private final int row;
    private final int col;
    private final PawnMovement movement;

    public EvaluationResult(int row, int col, PawnMovement movement) {
        this.row = row;
        this.col = col;
        this.movement = movement;
    }

    public int getRow() {
        return row;
    }

    public int getCol() {
        return col;
    }

    public PawnMovement getMovement() {
        return movement;
    }
}
